[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#684501: ITP: libsub-exporter-progressive-perl -- Only use Sub::Exporter if you need it

Package: wnpp
Severity: wishlist
Owner: Nuno Carvalho <smash@cpan.org>

* Package name    : libsub-exporter-progressive-perl
  Version         : 0.001004
  Upstream Author : Arthur Axel Schmidt <frioux+cpan@gmail.com>
* URL             : http://search.cpan.org/dist/Sub-Exporter-Progressive/
* License         : Artistic 1, GPL 1
  Programming Lang: Perl
  Description     : Only use Sub::Exporter if you need it

Sub::Exporter is an incredibly powerful module, but with that power comes
great responsibility, as well as some runtime penalties. This module is a
Sub::Exporter wrapper that will let users just use Exporter if all they are
doing is picking exports, but use Sub::Exporter if users try to use
Sub::Exporter's more advanced features, like renaming exports.

Reply to: